//Any mixins (style snippets) that will be used over and over
@mixin vert-center {
  display: flex;
  justify-content: center;
  //align-items: center;
}

@mixin header-title {
  font-weight: 700;
  text-align: center;
  line-height: 1em;
  font-size: 5em;
  text-transform: uppercase;
  text-shadow: 0px 13px 6px #0000006F;
}

@mixin transition($t) {
  transition: all ease-in $t;
}

/**
 * ----------------------------------------
 * animations 
 * ----------------------------------------
 */

@mixin bounce-top($t: .5s) {
  -webkit-animation: bounce-top $t both;
  animation: bounce-top $t both;
}

@-webkit-keyframes bounce-top {
  0% {
    -webkit-transform: translateY(-45px);
    transform: translateY(-45px);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
    opacity: 1;
  }

  24% {
    opacity: 1;
  }

  40% {
    -webkit-transform: translateY(-24px);
    transform: translateY(-24px);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }

  65% {
    -webkit-transform: translateY(-12px);
    transform: translateY(-12px);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }

  82% {
    -webkit-transform: translateY(-6px);
    transform: translateY(-6px);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }

  93% {
    -webkit-transform: translateY(-4px);
    transform: translateY(-4px);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }

  25%,
  55%,
  75%,
  87% {
    -webkit-transform: translateY(0px);
    transform: translateY(0px);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }

  100% {
    -webkit-transform: translateY(0px);
    transform: translateY(0px);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
    opacity: 1;
  }
}

@keyframes bounce-top {
  0% {
    -webkit-transform: translateY(-45px);
    transform: translateY(-45px);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
    opacity: 1;
  }

  24% {
    opacity: 1;
  }

  40% {
    -webkit-transform: translateY(-24px);
    transform: translateY(-24px);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }

  65% {
    -webkit-transform: translateY(-12px);
    transform: translateY(-12px);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }

  82% {
    -webkit-transform: translateY(-6px);
    transform: translateY(-6px);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }

  93% {
    -webkit-transform: translateY(-4px);
    transform: translateY(-4px);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }

  25%,
  55%,
  75%,
  87% {
    -webkit-transform: translateY(0px);
    transform: translateY(0px);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }

  100% {
    -webkit-transform: translateY(0px);
    transform: translateY(0px);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
    opacity: 1;
  }
}

/**
 * ----------------------------------------
 * animation open-flow
 * ----------------------------------------
 */
@mixin open-flow() {
  -webkit-animation: open-flow 5s cubic-bezier(0.250, 0.460, 0.450, 0.940) infinite both;
  animation: open-flow 5s cubic-bezier(0.250, 0.460, 0.450, 0.940) infinite both;
}

@-webkit-keyframes open-flow {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }

  100% {
    -webkit-transform: translateY(-100%);
    transform: translateY(-100%);
  }
}

@keyframes open-flow {
  0% {
    transform: translateY(0);
  }

  100% {
    transform: translateY(-100%);
  }
}

/**
 * ----------------------------------------
 * animation open-matas
 * ----------------------------------------
 */
@mixin open-matas() {
  -webkit-animation: open-matas .5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
  animation: open-matas .5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@-webkit-keyframes open-matas {
  0% {
    background-size: 100%;

  }

  100% {
    background-size: 120%;

  }
}

@keyframes open-matas {
  0% {
    background-size: 100%;
  }

  100% {
    background-size: 120%;

  }
}